org.apache.http.impl.conn

## Class SingleClientConnManager.PoolEntry

- java.lang.Object
- - org.apache.http.impl.conn.AbstractPoolEntry
  - - org.apache.http.impl.conn.SingleClientConnManager.PoolEntry

Enclosing class:
  SingleClientConnManager

    protected class SingleClientConnManager.PoolEntry
    extends AbstractPoolEntry

The pool entry for this connection manager.

### Field Summary

### Fields inherited from class org.apache.http.impl.conn.AbstractPoolEntry

`connection, connOperator, route, state, tracker`

### Constructor Summary

Constructors
`protected` `SingleClientConnManager.PoolEntry()` Creates a new pool entry.

### Method Summary

Methods
`protected void` `close()` Closes the connection in this pool entry.
`protected void` `shutdown()` Shuts down the connection in this pool entry.

### Methods inherited from class org.apache.http.impl.conn.AbstractPoolEntry

`getState, layerProtocol, open, setState, shutdownEntry, tunnelProxy, tunnelTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleClientConnManager.PoolEntry

    protected SingleClientConnManager.PoolEntry()

Creates a new pool entry.

### Method Detail

#### close

    protected void close()
                  throws IOException

Closes the connection in this pool entry.

Throws:
  `IOException`

#### shutdown

    protected void shutdown()
                     throws IOException

Shuts down the connection in this pool entry.

Throws:
  `IOException`